Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.util.encoders
Class BufferedEncoder

    java.lang.Object
      org.bouncycastle.util.encoders.BufferedEncoder

    public class BufferedEncoder

extends java.lang.Object

a buffering class to allow translation from one format to another to be done in discrete chunks.

Field Summary
`protected byte[]` `buf`
`protected int` `bufOff`
`protected Translator` `translator`

Constructor Summary
`BufferedEncoder(Translator translator, int bufSize)`

Method Summary
`int` `processByte(byte in, byte[] out, int outOff)`
`int` `processBytes(byte[] in, int inOff, int len, byte[] out, int outOff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buf

    protected byte[] buf

### bufOff

    protected int bufOff

### translator

    protected Translator translator

Constructor Detail

### BufferedEncoder

    public BufferedEncoder(Translator translator,
                           int bufSize)

Parameters:
  `translator` - the translator to use.
  `bufSize` - amount of input to buffer for each chunk.

Method Detail

### processByte

    public int processByte(byte in,
                           byte[] out,
                           int outOff)

### processBytes

    public int processBytes(byte[] in,
                            int inOff,
                            int len,
                            byte[] out,
                            int outOff)

Bouncy Castle Cryptography Library 1.45